/*
 *      Copyright (c) 2018-2028, Chill Zhuang All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 *  Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the dreamlu.net developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: Chill 庄骞 (smallchill@163.com)
 */
package org.springblade.modules.guosen.bussinessInfo.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import org.springblade.modules.guosen.bussinessInfo.entity.BussinessInfo;
import org.springblade.modules.guosen.bussinessInfo.vo.BussinessInfoVO;
import org.springblade.modules.guosen.bussinessInfo.mapper.BussinessInfoMapper;
import org.springblade.modules.guosen.bussinessInfo.service.IBussinessInfoService;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.util.Assert;

/**
 *  服务实现类
 *
 * @author BladeX
 * @since 2021-09-22
 */
@Service
public class BussinessInfoServiceImpl extends BaseServiceImpl<BussinessInfoMapper, BussinessInfo> implements IBussinessInfoService {

	@Override
	public IPage<BussinessInfoVO> selectBussinessInfoPage(IPage<BussinessInfoVO> page, BussinessInfoVO bussinessInfo) {
		return page.setRecords(baseMapper.selectBussinessInfoPage(page, bussinessInfo));
	}

	@Override
	public BussinessInfo getByLicenceNo(String licenceNo) {
		Assert.hasText(licenceNo, "商户证件编号不能为空");
		LambdaQueryWrapper<BussinessInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(BussinessInfo::getLicenceNo, licenceNo);
		return baseMapper.selectOne(lambdaQueryWrapper);
	}

	@Override
	public BussinessInfo getByBussinessId(Long bussinessId) {
		LambdaQueryWrapper<BussinessInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(BussinessInfo::getBussinessId, bussinessId);
		return baseMapper.selectOne(lambdaQueryWrapper);
	}

	@Override
	public BussinessInfo getByMerchantNo(String merchantNo) {
		LambdaQueryWrapper<BussinessInfo> lambdaQueryWrapper = new LambdaQueryWrapper<>();
		lambdaQueryWrapper.eq(BussinessInfo::getMerchantNo, merchantNo);
		return baseMapper.selectOne(lambdaQueryWrapper);
	}

}
